Skip to main content
GET
/
messages
/
individual
/
{accountId}
/
get-details
/
{messageId}
Get Message Details
curl --request GET \
  --url https://api.a1base.com/v1/messages/individual/{accountId}/get-details/{messageId} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Secret: <api-key>'
import requests

url = "https://api.a1base.com/v1/messages/individual/{accountId}/get-details/{messageId}"

headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};

fetch('https://api.a1base.com/v1/messages/individual/{accountId}/get-details/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "chat_id": "<string>",
    "chat_name": "<string>",
    "participants": [
      "<string>"
    ],
    "account_id": "<string>",
    "message_id": "<string>",
    "to": "<string>",
    "from": "<string>",
    "body": "<string>",
    "date_created": "2023-11-07T05:31:56Z",
    "direction": "<string>",
    "attachment_uri": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required
X-API-Secret
string
header
required

Headers

X-API-Key
string
required
X-API-Secret
string
required

Path Parameters

accountId
string
required
messageId
string
required

Response

Message details retrieved successfully

status
enum<string>
Available options:
success
data
object